/*
 *
 *  Prologin 2017 - Lundi 1er mai 2017
 *
 *
 *  Champion final
 *    Tacos XXVII v2 - Esteban CHRISTIAN (21.11.2001)
 *
 *
 *  Ce fichier contient les en-tetes des fonctions qui seront utilisees par le fichier prologin.cc
 *
 */

#ifndef PROL_FONCTIONS
#define PROL_FONCTIONS

void poserEchantillon();
position grosseRegion(bool chercheOr);
int nbCases(case_type type, int id);
void donnerMerde();
void utiliserCatalyseurs();

extern const int INFINI;
extern const int DEPS[5][2];

extern int monId, autreId;

inline int random(int a, int b)
{
    return rand() % (b - a) + a;
}

inline position operator+(position a, position b)
{
    position x;
    x.ligne = a.ligne + b.ligne;
    x.colonne = b.colonne + b.colonne;
    return x;
}

inline position makepos(int a, int b)
{
    position p;
    p.ligne = a, p.colonne = b;
    return p;
}

#endif
